Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic
Class CharsetPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.core.samples.basic.CharsetPortlet

All Implemented Interfaces:
  javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

    public class CharsetPortlet

extends javax.portlet.GenericPortlet

This portlet is used to display a form that helps to test the charset handling by the portal and the client. When a fault occurs it may be the client fault (for instance the char with unicode value 160 fail the test in firefox but succeds in IE6).

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`CharsetPortlet()`

Method Summary
`protected void` | `doHelp(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`
`protected void` | `doView(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`
`void` | `processAction(javax.portlet.ActionRequest req, javax.portlet.ActionResponse resp)`
`static boolean` | `useChar(char c)`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHeaders, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processEvent, render, serveResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharsetPortlet

    public CharsetPortlet()

Method Detail

### processAction

    public void processAction(javax.portlet.ActionRequest req,
                              javax.portlet.ActionResponse resp)
                       throws javax.portlet.PortletException,
                              javax.portlet.PortletSecurityException,
                              java.io.IOException

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Overrides:
    `processAction` in class `javax.portlet.GenericPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doHelp

    protected void doHelp(javax.portlet.RenderRequest req,
                          javax.portlet.RenderResponse resp)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Overrides:
    `doHelp` in class `javax.portlet.GenericPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doView

    protected void doView(javax.portlet.RenderRequest req,
                          javax.portlet.RenderResponse resp)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Overrides:
    `doView` in class `javax.portlet.GenericPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### useChar

    public static boolean useChar(char c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD